Commit 8150d937 authored by Thomas Vincent's avatar Thomas Vincent
Browse files

Add doc about xsocs pypi repo

parent 3888df83
......@@ -4,14 +4,22 @@ Installation
*X-SOCS* supports `Python <https://www.python.org/>`_ versions >= 3.4 (recommended) and 2.7.
Binary wheels of the latest development version of X-SOCS are available for Linux and Windows (for python >= 3.6) in the *X-SOCS* `wheelhouse <https://kmap.gitlab-pages.esrf.fr/xsocs/wheels/>`_.
Binary wheels of X-SOCS are available for Linux and Windows (for Python >= 3.6):
- Latest release in *X-SOCS* `package repository <https://gitlab.esrf.fr/kmap/xsocs/-/packages>`_.
- Development version in *X-SOCS* `wheelhouse <https://kmap.gitlab-pages.esrf.fr/xsocs/wheels/>`_.
To install *X-SOCS* with minimal dependency (to use from scripts)::
pip install --pre --find-links https://kmap.gitlab-pages.esrf.fr/xsocs/wheels/ xsocs [--user]
pip install --extra-index-url https://gitlab.esrf.fr/api/v4/projects/408/packages/pypi/simple xsocs [--user]
or with graphical user interface dependencies::
pip install --extra-index-url https://gitlab.esrf.fr/api/v4/projects/408/packages/pypi/simple xsocs[gui] [--user]
To install the current development version::
pip install --pre --find-links https://kmap.gitlab-pages.esrf.fr/xsocs/wheels/ xsocs[gui] [--user]
.. note::
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment